org.apache.cassandra.cql3

## Class Term.MultiColumnRaw

- java.lang.Object
- - org.apache.cassandra.cql3.Term.Raw
  - - org.apache.cassandra.cql3.Term.MultiColumnRaw

- All Implemented Interfaces:
    AssignmentTestable
  Direct Known Subclasses:
    AbstractMarker.MultiColumnRaw, Tuples.Literal
  Enclosing interface:
    Term

      public abstract static class Term.MultiColumnRaw
      extends Term.Raw

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.cassandra.cql3.AssignmentTestable

      `AssignmentTestable.TestResult`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultiColumnRaw()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract Term` | `prepare(java.lang.String keyspace, java.util.List<? extends ColumnSpecification> receiver)`

    - ### Methods inherited from class org.apache.cassandra.cql3.Term.Raw

      `getExactTypeIfKnown, getText, prepare, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cassandra.cql3.AssignmentTestable

      `testAssignment`

- - ### Constructor Detail

    - #### MultiColumnRaw

          public MultiColumnRaw()

  - ### Method Detail

    - #### prepare

          public abstract Term prepare(java.lang.String keyspace,
                                       java.util.List<? extends ColumnSpecification> receiver)
                                throws InvalidRequestException

      Throws:
        `InvalidRequestException`

Copyright © 2018 The Apache Software Foundation